For the complete documentation index, see llms.txt. This page is also available as Markdown.

Apply Gift Card

Gift cards enable customers to reduce or fully pay for their basket's balance at checkout.

A gift card is a sequence of 4 groups of 4 numbers each, ex. 0127 0244 7210 1111. Each gift card is fully unique for your store.

Apply a gift card

post

Applies a creator code to a basket.

Path parameters
basketIdentstringRequired

The basket identifier.

Example: c00244-d2ac2e77418a55b25292a6bc7a719ad9c529ba2c
Body
card_numberstringOptionalExample: 0127 0244 7210 1111
Responses
200

Successful response returns a success message.

application/json
successbooleanOptionalExample: true
messagestringOptionalExample: Gift card applied successfully
post/baskets/{basketIdent}/giftcards
POST /api/accounts/baskets/{basketIdent}/giftcards HTTP/1.1
Host: headless.tebex.io/
Content-Type: application/json
Accept: */*
Content-Length: 37

{
  "card_number": "0127 0244 7210 1111"
}
200

Successful response returns a success message.

{
  "success": true,
  "message": "Gift card applied successfully"
}

Last updated